GETDiscovery

List Countries

Retrieve the list of countries where eSIM services are available. Returns country names, ISO codes, and supported regions.

Endpoint

GEThttps://api.sotel.com/api/esim/countries/all

Authentication

Requires a bearer token obtained from the /authenticate endpoint. Include it in the Authorization header.

Authorization: Bearer {token}

Query Parameters

NameTypeRequiredDescription
pageintegerOptionalPage number for pagination (zero-indexed). (Default: 0)
sizeintegerOptionalNumber of results per page. (Default: 15)

Response

List of supported countries returned successfully.

Response
{
  "data": [
    {
      "name": "Australia",
      "iso2": "AU",
      "iso3": "AUS",
      "region": "Oceania",
      "is_popular": true
    },
    {
      "name": "Canada",
      "iso2": "CA",
      "iso3": "CAN",
      "region": "North America",
      "is_popular": true
    },
    {
      "name": "France",
      "iso2": "FR",
      "iso3": "FRA",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "Greece",
      "iso2": "GR",
      "iso3": "GRC",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "Iceland",
      "iso2": "IS",
      "iso3": "ISL",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "Japan",
      "iso2": "JP",
      "iso3": "JPN",
      "region": "Asia",
      "is_popular": true
    },
    {
      "name": "Morocco",
      "iso2": "MA",
      "iso3": "MAR",
      "region": "Africa",
      "is_popular": true
    },
    {
      "name": "Nigeria",
      "iso2": "NG",
      "iso3": "NGA",
      "region": "Africa",
      "is_popular": true
    },
    {
      "name": "Portugal",
      "iso2": "PT",
      "iso3": "PRT",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "South Africa",
      "iso2": "ZA",
      "iso3": "ZAF",
      "region": "Africa",
      "is_popular": true
    },
    {
      "name": "South Korea",
      "iso2": "KR",
      "iso3": "KOR",
      "region": "Asia",
      "is_popular": true
    },
    {
      "name": "Turkey",
      "iso2": "TR",
      "iso3": "TUR",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "United States",
      "iso2": "US",
      "iso3": "USA",
      "region": "North America",
      "is_popular": true
    },
    {
      "name": "United Kingdom",
      "iso2": "GB",
      "iso3": "GBR",
      "region": "Europe",
      "is_popular": true
    },
    {
      "name": "Afghanistan",
      "iso2": "AF",
      "iso3": "AFG",
      "region": "Asia",
      "is_popular": false
    }
  ],
  "page": 0,
  "size": 15,
  "totalElements": 199,
  "totalPages": 14
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/countries/all?page=0&size=15' \
  -H 'Authorization: Bearer {token}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl -X GET 'https://api.sotel.com/api/esim/countries/all' \
  -H 'Authorization: Bearer {token}'